#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "histogram_internal.cpp"


TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({ 1, 2 }, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}
TEST_CASE("empty vector") {
    double min = 0;
    double max = 0;
    CHECK(!find_minmax({}, min, max));
}


TEST_CASE("you fill so lonly") {
    double min = 0;
    double max = 0;
    find_minmax({ 1 }, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}
TEST_CASE("negative numbers") {
    double min = 0;
    double max = 0;
    find_minmax({ -1, -2 }, min, max);
    CHECK(min == -2);
    CHECK(max == -1);
}
TEST_CASE("twins") {
    double min = 0;
    double max = 0;
    find_minmax({ 1, 1 }, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}